
using System.Data;
using GalaSoft.MvvmLight.Command;
using Infragistics.Windows.DataPresenter.Events;

namespace CellIssues.ViewModel
{

    public class MainViewModel : ViewModelBase
    {

        private DataTable _testData;
        public DataTable TestData
        {
            get { return _testData; }
            set { Set(() => TestData, ref _testData, value); }
        }

        public RelayCommand OnCancel { get; set; }
        public RelayCommand OnGetData { get; set; }
        //public RelayCommand<CellChangedEventArgs> MeterValChangedCommand { get; set; }

        public MainViewModel()
        {
            OnCancel = new RelayCommand(Cancel);
            OnGetData = new RelayCommand(GetData);
            //MeterValChangedCommand = new RelayCommand<CellChangedEventArgs>(CellValueChanged);
        }

        //private void CellValueChanged(CellChangedEventArgs e)
        //{
        //    TestData.Rows.Find(e.Cell.Record.Cells[0].Value)["Value"] = e.Editor.Value;
        //}

        private void GetData()
        {
            TestData = new DataTable();
            var idColumn = new DataColumn("ID", typeof(int));
            var testColumn = new DataColumn("Value", typeof(int));

            TestData.Columns.Add(idColumn);
            TestData.Columns.Add(testColumn);

            var row1 = TestData.NewRow();
            row1["ID"] = 1;
            row1["Value"] = 0;

            var row2 = TestData.NewRow();
            row2["ID"] = 2;
            row2["Value"] = 0;

            TestData.Rows.Add(row1);
            TestData.Rows.Add(row2);

            TestData.PrimaryKey = new[] { TestData.Columns["ID"] };
            TestData.AcceptChanges();
        }
        private void Cancel()
        {
            TestData.RejectChanges();
        }



    }
}